Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159412 - "smbd" and "net" throw glibc errors with MALLOC_CHECK
Summary: "smbd" and "net" throw glibc errors with MALLOC_CHECK
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 14:37 UTC by Markus Wigge
Modified: 2014-08-31 23:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-05 14:30:18 UTC


Attachments (Terms of Use)

Description Markus Wigge 2005-06-02 14:37:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
smbd and net throw error similar to the following:
*** glibc detected *** smbd: free(): invalid pointer: 0x001e17f0 ***
======= Backtrace: =========
/lib/libc.so.6[0xe351e4]
/lib/libc.so.6(__libc_free+0x77)[0xe3571f]
/lib/libcom_err.so.2(remove_error_table+0x4b)[0x128abb]
/usr/lib/libkrb5.so.3[0x17f823]
/usr/lib/libkrb5.so.3[0x17f5c7]
/usr/lib/libkrb5.so.3[0x1d03ba]
/lib/ld-linux.so.2[0xcefe28]
/lib/libc.so.6(exit+0xc5)[0xdfcc79]
smbd(exit_server+0x25c)[0x543ae6]
smbd(main+0x995)[0x5446a1]
/lib/libc.so.6(__libc_start_main+0xc6)[0xde6de6]
smbd[0x3424f1]

"net" while joining samba to an ADS
"smbd" while trying to browse it

Version-Release number of selected component (if applicable):
samba-3.0.14a-2

How reproducible:
Always

Steps to Reproduce:
1. install Win2k or Win2k3 Server
2. install samba
3. try to join samba to ADS
  

Actual Results:  see description

Additional info:

It seems to work with "MALLOC_CHECK_=0" set in /etc/init.d/smb

Comment 1 Warren Togami 2005-09-19 19:58:47 UTC
Is this still an issue with FC4 + updates or FC5?

Comment 2 John Thacker 2006-05-05 14:30:18 UTC
Closing due to lack of response.


Note You need to log in before you can comment on or make changes to this bug.